# bdm::migamma Class Reference

Inverse-Gamma random walk. More...

`#include <exp_family.h>`

List of all members.

## Public Member Functions
void | set_parameters (int len, double k0)
| Set value of `k`.
void | condition (const vec &val)
eigamma & | e ()
| access function to iepdf
vec | samplecond (const vec &cond)
| Reimplements samplecond using `condition()`.
double | evallogcond (const vec &val, const vec &cond)
| Reimplements evallogcond using `condition()`.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Efficient version of evallogcond for matrices.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Efficient version of evallogcond for Array<vec>.
virtual mat | samplecond_m (const vec &cond, int N)
| Efficient version of samplecond.
void | from_setting (const Setting &set)
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Constructors
| migamma ()
| migamma (const migamma &m)
Access to attributes
RV | _rv () const
RV | _rvc ()
int | dimension () const
int | dimensionc ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Member Functions
void | set_ep (epdf &iepdf)
| set internal pointer `ep` to point to given `iepdf`
void | set_ep (epdf *iepdfp)
| set internal pointer `ep` to point to given `iepdf`
## Protected Attributes
double | k
| Constant .
vec & | _alpha
| cache of iepdf.alpha
vec & | _beta
| cache of iepdf.beta
eigamma | iepdf
| Internal epdf used for sampling.
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition

## Detailed Description

Inverse-Gamma random walk.

Mean value, , of this density is given by `rvc` . Standard deviation of the random walk is proportional to one -th the mean. This is achieved by setting and .

The standard deviation of the walk is then: .

## Member Function Documentation

void bdm::migamma::condition | ( | const vec & | cond | ) | `[inline, virtual]`

Update `iepdf` so that it represents this mpdf conditioned on `rvc` = cond This function provides convenient reimplementation in offsprings

Reimplemented from bdm::mpdf_internal< eigamma >.

Reimplemented in bdm::migamma_ref.

References _alpha, and _beta.

void bdm::mpdf::from_setting | ( | const Setting & | set | ) | `[virtual, inherited]`

Load from structure with elements:

     { class = "mpdf_offspring",
       rv = {class="RV", names=(...),}; // RV describing meaning of random variable
       rvc= {class="RV", names=(...),}; // RV describing meaning of random variable in condition
       // elements of offsprings
     }

Reimplemented from bdm::root.

Reimplemented in bdm::mepdf, bdm::mprod, bdm::mlnorm< sq_T, TEpdf >, bdm::mgnorm< sq_T >, bdm::mgamma, bdm::migamma_ref, bdm::mlognorm, bdm::mlnorm< chmat >, and bdm::mlnorm< ldmat, enorm >.

The documentation for this class was generated from the following file:

- exp_family.h